## org.eclipse.datatools.connectivity.sqm.core.definition
Interface DatabaseDefinitionRegistry

    public interface DatabaseDefinitionRegistry

Method Summary
`java.util.Iterator` `getConnectibleProducts()`
`java.util.Iterator` `getConnectibleVersions(java.lang.String product)`
`DatabaseDefinition` `getDefinition(Database database)`
`DatabaseDefinition` `getDefinition(java.lang.String product, java.lang.String version)`
`java.util.Iterator` `getProducts()`
`java.util.Iterator` `getVersions(java.lang.String product)`
`DatabaseDefinition` `recognize(java.sql.Connection connection)`

Method Detail

### getProducts

    java.util.Iterator getProducts()

### getConnectibleProducts

    java.util.Iterator getConnectibleProducts()

### getVersions

    java.util.Iterator getVersions(java.lang.String product)

### getConnectibleVersions

    java.util.Iterator getConnectibleVersions(java.lang.String product)

### getDefinition

    DatabaseDefinition getDefinition(java.lang.String product,
                                     java.lang.String version)

### getDefinition

    DatabaseDefinition getDefinition(Database database)

### recognize

    DatabaseDefinition recognize(java.sql.Connection connection)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.